4.2 → 4.3 で使えなくなった nano など

4.X系のバグ、トラブル

モデレータ: 暇人, YoN, nyu

4.2 → 4.3 で使えなくなった nano など

投稿記事by cygnus_odile » 09/11/03(火) 15:48

端末で使うスクリーンエディタの GNU nano Text Editor だが、
openlab.jp に置かれている日本語化されたhttp://openlab.jp/puppylinux/download/packages/nano-2.0.7-i686.pet が使えなくなっている。
【症状】
   4.30JP では、メニューの日本語が文字化けする。
   4.3.1JP-RC2 では、PET パッケージのインストールに失敗する。
なお、
 http://www.puppylinux.ca/tpp/bugs/nano-2.0.9.pet :4.30JP、4.3.1JP-RC2 では、日本語入力すると文字化けする。
ついでに、
 Puppy Linux Discussion Forum に置かれている nano-2.0.9.pet だと、メニューは英語だけど、日本語入力/表示に支障なし。
  (/usr/local/bin/ にインストールされたので、/usr/bin/ にリンク作成。)
  メニューは英語だけど良しとするか。

【その他】
 http://www.puppylinux.ca/tpp/bugs/freecel-1.1.pet が動かなくなったのは寂しい。
(「お楽しみ」メニューに Freecell card game)という名前でインストールされるのですが。)
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: 4.2 → 4.3 で使えなくなった nano など

投稿記事by 暇人 » 09/11/03(火) 17:30

メニューからは起動できません
パーミッションが与えられていないため、記事の添付ファイルを見ることができません
管理人見習い
NEC Express5800 S70/SR G6950 2.8GHz/1G
lenovo S10-3 AtomN450 1.66G/1G
暇人/貳馬力/2CV
アバター
暇人
 
記事: 2387
登録日時: 07/08/12(日) 23:33
お住まい: 埼玉県xx市並4

Re: 4.2 → 4.3 で使えなくなった nano など

投稿記事by cygnus_odile » 09/11/03(火) 18:54

暇人さま、早速 puppy-4.30用 nano (メニューやヘルプ日本語化) を用意してくださって有難うございます。拝受致しました。利用させていただいています。   nano-2.0.7-i686.pet.tar (puppy430用)
と記載されていますが、 起動してみると、 version は、 2.0.9 ですね。

なお、 freecell-1.1.pet は、 公式パッケージのダウンロードサイトから、
    tcl-8.5.6.pet 14-Mar-2009 07:40 601K
    tk-8.5.6.pet 01-Apr-2009 06:15 619K
の 二つを落としてインストールすると、動くようになりました。
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: 4.2 → 4.3 で使えなくなった nano など

投稿記事by loserdog » 09/11/18(水) 15:42

暇人さんへ、

たしかにコンソール・アプリケーションはメニィウーからは直接は起動できませんが、どうしてもクリックしないと気が済まない人には、
例えば
コード: 全て選択
my_pkgs:127: cat vi
#!/bin/bash

rxvt -bg darkgrey -cr white -e elvis-tiny $@
my_pkgs:128: ls -l vi
-rwxr-xr-x 1 root root 58 2009-11-18 06:32 vi


とでもしておいて、このviてやつをメニューに入れる。
今回の場合なら、viをxnanoとかgnanoとかにして、elvis-tinyをnanoにすればOK.
loserdog
 
記事: 29
登録日時: 09/11/15(日) 18:21


Return to 4.X系

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]